package dev.pfaff.altargui.internal.render;

import dev.pfaff.glass.opengl.GL;
import dev.pfaff.glass.opengl.GLVersion;
import dev.pfaff.glass.OS;

public final class GLWrapper {
	private final GL gl;
	public final GLVersion glVersion;

	public GLWrapper(GL gl) {
		this.gl = gl;
		this.glVersion = GLVersion.get(gl);
	}

	public boolean canUseGlProgramUniformFunctions() {
		// SIGSEGV when using these functions on macOS, so don't.
		if (OS.HOST instanceof OS.macOS) return false;
		return glVersion.major() > 4 || (glVersion.major() == 4 && glVersion.minor() >= 1);
	}
}
