package dev.pfaff.altargui.texture;

import dev.pfaff.altargui.resource.LoadableResource;
import org.jspecify.annotations.NonNull;

import java.io.IOException;
import java.io.InputStream;
import java.lang.foreign.MemorySegment;
import java.nio.file.Files;
import java.nio.file.Path;

public record PathLoadableResource(Path path) implements LoadableResource {
	@Override
	public MemorySegment readBytes() {
		try {
			return MemorySegment.ofArray(Files.readAllBytes(this.path));
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
	}

	@Override
	public @NonNull InputStream openInputStream() throws IOException {
		return Files.newInputStream(this.path);
	}
}
