package dev.pfaff.altargui.widgets;

import dev.pfaff.altargui.WidgetInstantiationArgs;
import org.jetbrains.annotations.NotNull;

/**
 * A marker interface for a widget whose sole purpose is to wrap another widget with some attributes that may be used
 * by another widget in the tree. Currently, it is intended for access only by immediate parents, although there is no
 * technical limitation to other uses.
 */
public interface AttributesWidget extends SingleChildWidget {
	@Override
	@NotNull SingleChildWidget.AutoLayoutState<? extends AttributesWidget> instantiate(WidgetInstantiationArgs args);
}
